package sample.sample_c;

import static sample.sample_c.intジャンケン.*;

import org.apache.log4j.Logger;

public class SampleC_1 {
	private static final Logger logger = Logger.getLogger(SampleC_1.class);

	public static void main(String[] args) {
		正しい使われ方();

		間違った使われ方();
	}

	private static void 間違った使われ方() {
		int 勝ち = 判定(4, 6);
		if (勝ち == 1) {
			logger.debug("第一引数の勝ち");
		} else if (勝ち == 2) {
			logger.debug("第二引数の勝ち");
		} else if (勝ち == -1) {
			logger.debug("あいこ");
		}
	}

	private static void 正しい使われ方() {
		int 第一引数 = グー;
		int 第二引数 = チョキ;
		int 勝ち = 判定(第一引数, 第二引数);
		if (勝ち == 第一引数の勝ち) {
			logger.debug("第一引数の勝ち");
		} else if (勝ち == 第二引数の勝ち) {
			logger.debug("第二引数の勝ち");
		} else if (勝ち == あいこ) {
			logger.debug("あいこ");
		}
	}
}
